model:
  name: seq_multitask
  kwargs:
    filters: 64
    conv1_kernel_size: 25
    tconv_kernel_size: 25
    n_dil_layers: 6
    lr: 0.004
    c_task_weight: 10
data:
  name: get_StrandedProfile_datasets
  type: Dataset
  kwargs:
    peak_width: 1000
    shuffle: true
    valid_chr:
    - chr2
    - chr3
    - chr4
    test_chr:
    - chr1
    - chr8
    - chr9
train:
  early_stop_patience: 5
  epochs: 200
  batch_size: 256
  balance_peak_classes: false
  train_epoch_frac: 1.0
  valid_epoch_frac: 1.0
evaluate:
  pos_min_threshold: 0.1
  neg_max_threshold: 0.1
  required_min_pos_counts: 2.5
  binsizes:
  - 1
  - 10
modisco:
  sliding_window_size: 21
  flank_size: 10
  histogram_bins: 100
  percentiles_in_bandwidth: 10.0
  overlap_portion: 0.5
  min_cluster_size: 50
  threshold_for_counting_sign: 1.0
  weak_threshold_for_counting_sign: 0.7
  target_seqlet_fdr: 0.01
  max_strand_distance: 0.2
path: hparams.yml
